%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		enet
Version:	1.3.3
Release:	%mkrel 2
Summary:	Simple Network Communication Layer on Top of UDP
License:	BSD
Group:		System/Libraries
Url:		http://enet.bespin.org/
Source:		http://enet.bespin.org/download/enet-%{version}.tar.gz

%description
ENet's purpose is to provide a relatively thin, simple and robust network 
communication layer on top of UDP (User Datagram Protocol). The primary 
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication, 
lobbying, server discovery, encryption, or other similar tasks that are 
particularly application specific so that the library remains flexible, 
portable, and easily embeddable.

%package -n %{libname}
Group:		System/Libraries
Summary:	Simple Network Communication Layer on Top of UDP

%description -n %{libname}
ENet's purpose is to provide a relatively thin, simple and robust network 
communication layer on top of UDP (User Datagram Protocol). The primary 
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication, 
lobbying, server discovery, encryption, or other similar tasks that are 
particularly application specific so that the library remains flexible, 
portable, and easily embeddable.

%package -n %{develname}
Group:		Development/C
Summary:	Simple Network Communication Layer on Top of UDP
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%mklibname -d %{name} 1.2

%description -n	%{develname}
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog

* Mon Sep 26 2011 wally <wally> 1.3.3-2.mga2
+ Revision: 148900
- make devel pkg to conflict with enet1.2 devel pkg

* Sun Sep 25 2011 wally <wally> 1.3.3-1.mga2
+ Revision: 147645
- new version 1.3.3
- clean .spec a bit

* Thu Jun 30 2011 wally <wally> 1.2.5-1.mga2
+ Revision: 116699
- new version 1.2.5
- drop buildroot definition

* Sun May 08 2011 mikala <mikala> 1.2.3-1.mga1
+ Revision: 96312
- imported package enet


* Thu Feb 10 2011 Jani Välimaa <wally@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 637168
- new version 1.2.3
- get rid of the .la file

* Wed Oct 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 586966
- renaming
- renaming to match other package naming
- import libenet

